2024-10-20  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotannot.tcl:   Introduce auxiliary initialisation function (change in semantics, Tcl 9)
        * plotchart.tcl:   Remove commented out code, use -strict in [string is integer]
        * plotconfig.tcl:  Introduce auxiliary initialisation function (change in semantics, Tcl 9)
        * plotdendrogram.tcl: Introduce auxiliary initialisation function (change in semantics, Tcl 9)
        * plotobject.tcl:  Introduce auxiliary initialisation function (change in semantics, Tcl 9)
        * plotpriv.tcl:    Explicitly convert screen size to pixels (change in semantics, Tk 9, ticket 68d110104cc46b715811e4a877a7b5e47c6aa27b)
        * plotscada.tcl:   Introduce auxiliary initialisation function (change in semantics, Tcl 9)
        * pkgIndex.tcl:    Increase the version number to 2.7.0 (because of support for Tcl/Tk 9)

2024-06-03  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotconfig.tcl:  Add missing elements for 3dribbon plots (ticket 3d35a07f665b17987c9773cfa604b07d6d9b0cb7)
        * plotpriv.tcl:    Let the timechart methods return the canvas item IDs (ticket e8bf5556a856e0f56bfd0e12674339f3d09356ab)
        * plotannot.tcl:   Apply patch to long-standing bug regarding shaded vertical bars (ticket 34783217f723eb452634e7af7a1855d3e09b7fac)
        * plotaxis.tcl:    Introduce -locale option for time axis (ticket 55f89cf0be4fcdb002d3f96fc1ca8b351ccd1878)
        * plotchart.man:   Describe the new -locale option
        * pkgIndex.tcl:    Increase the version number to 2.6.2

2023-08-13  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl:   Correct the scaling for windrose plots (ticket 8df371ba8e)
        * pkgIndex.tcl:    Increase the version number to 2.6.1

2023-05-29  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man:   Describe the violin subcommand and dendrogram plots
        * plotchart.tcl:   Add the violin subcommand and the createDendrogram command
        * plotpriv.tcl:    Implement the violin subcommand
        * plotdendrogram.tcl: Implement the dendrogram plots
        * plotconfig.tcl:  Plot options for dendrograms
        * pkgIndex.tcl:    Increase the version number to 2.6.0

2023-03-19  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotaxis.tcl:    Correct the problem Markus Freiberg found with the legend for the right axis (ticket eb4101adc5)
        * pkgIndex.tcl:    Increase the version number to 2.5.3

2022-04-12  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotaxis.tcl:    Apply Alexandru's patch for the legend
        * plotchart.man:   Describe the new option to legendconfig (-order)
        * pkgIndex.tcl:    Increase the version number to 2.5.2

2022-04-03  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl:   Add circle plot as a new diagram type
        * plotspecial.tcl: Implementation of the circle plot
        * plotchart.man:   Description of the circle plot (including change of [n] to [para] -- aku)
        * test_circleplot.tcl: Test/demo of the circle plot

2022-02-13  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl:   Add heatmap diagram as a new diagram type
        * plotspecial.tcl: Implementation of the heatmap diagram
        * plotchart.man:   Description of the heatmap diagram
        * test_heatmap.tcl: Test/demo of the heatmap diagram

2018-12-27  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl:   Add Taylor diagram as a new diagram type
        * plotchart.man:   Describe Taylor diagrams
        * plotspecial.tcl: Add the method DrawTaylorData
        * plotconfig.tcl:  Add support for Taylor diagrams
        * test_taylor.tcl: Example of drawing a Taylor diagram with some data


2020-02-09  0.7  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tklib 0.7 ========================
        *

2018-12-27  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl:  Add missing method definitions for binding events to log(x)-y, x-log(y) and log(x)-log(y) plots,
                   as reported by Alexandru
        * plotbind.tcl:   Apply the patch provided by Alexandru

2017-09-16  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man:  Added description of the normal plot and associated commands. The implementation was
                          already available, so no change in version number.

2017-03-30  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotannot.tcl:  Correct handling of the -textcolour option for plaintext (reported by Nick Matthews)

2017-03-21  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl:  Correct omission - dot plotting command for polar plots
        * plotpriv.tcl:   Remove obsolete procedures (DrawLog*Dot and DrawPolarDot) - they have been replaced by DrawDot
                          Store the coordinates of the last dot, so that "bindlast" will work properly for dots as well

2017-03-14  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man:  Describe the "minmax" command
        * plotchart.tcl:  Add the "minmax" command
        * plotpriv.tcl:   Add the DrawMinMax procedure that implements the "minmax" command
        * pkgIndex.tcl:   Bumped version to 2.4.1
        * testregion.tcl: New test/demo script for demostrating the region and minmax commands

2017-03-13  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man: Describe the "region" command
        * plotchart.tcl: Add the "region" command and extend the "plotlist" command to other plot types
        * plotpriv.tcl:  Add the DrawRegion procedure that implements the "region" command
        * pkgIndex.tcl:  Bumped version to 2.4.0 (more extensions to follow)

2017-03-12  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man: Deprecate polarToPixel
        * plotchart.tcl: Deprecate polarToPixel
        * plotaxis.tcl:  Use the private version of polarToPixel and implement the -shownumbers option
        * plotpriv.tcl:  Move the original version of polarToPixel from plotchart.tcl

2015-04-13  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man: Correct descripton of plotstyle command, add description of -spacing option for legendconfig
        * plotchart.tcl: Correct clearcanvas command (bug reported by Keith Vetter - consequence of new naming convention)
        * plotpriv.tcl:  Correct ClearPlot subcommand (bug reported by Keith Vetter)
        * pkgIndex.tcl:  Bumped version to 2.3.5

2015-04-13  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotaxis.tcl: Remove [console show] from AxisConfig procedure (ticket f0edc6c7bebd5abc|f0edc6c7be)

2015-04-11  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Properly place the table wrt a title and subtitle, take care of fonts (patch by Frank Gover)
                         Support setting axis labels at 3D plot (patch by Frank Gover)
        * plottable.tcl: Correct drawing of the row in a table, take care of fonts (patch by Frank Gover)
        * plotconfig.tcl: Extend calculation of font metrics, optional font and linespacing (patch by Frank Gover)
        * plot3d.tcl:    Support formatting of the numerical axis labels for 3D plots (requested by Frank Gover)
        * plotchart.man: Bumped version to 2.3.4, added documentation of the tags for bars in a barchart.
        * pkgIndex.tcl:  Bumped version to 2.3.4
        * plotdemos1.tcl: Small changes to the 3D plot demo - axis labels and formatting

2014-12-14  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Introduce an option -xlabelangle for barcharts (request by Frank Gover)
        * plotaxis.tcl: Implement the option -xlabelangle for the labels of barcharts, also add a call
                        to worldCoordinates to reset the scaling (cause of xconfig -scale not working
                        correctly)
        * plotpriv.tcl: Correct the margins if subtext is used (required for the masking rectangles)
        * pkgIndex.tcl: Bumped version to 2.3.3

2014-11-23  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Support -xlabels and -ylabels option (request by Ron Fox), also implement -isometric for
                         XY-plots (request by Nick F.)
        * plotaxis.tcl: Support -axestozero option (request by Necrosporus)
        * plotchart.man: Describe new options -axestozero and -isometric
        * plotchart.man: Corrected error in documentation (ticket 2733f5a9517e312e1f43d81f7bb546feaf375a99)
        * pkgIndex.tcl: Bumped version to 2.3.2
        * xyplot.tcl: Disable running the example code at the end

2014-06-21  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add new commands for timecharts (addperiod, addmilestone and option to vertline)
                         as suggested by Nick Matthews; also the interpolatedata command for 3D-plots
        * plotchart.man: Document new commands for timecharts, document new tags for 3D-plots
        * plotpriv.tcl: Implement the new commands for timecharts and interpolatedata for 3D-plots
        * plot3d.tcl: Add tags for the data objects (data and line) and method interpolatedata
        * plotdemos1.tcl: Illustrate the new interpolate subcommand for 3D-plots
        * plotdemos7.tcl: Illustrate the new subcommands for timecharts
        * pkgIndex.tcl: Bumped the version to 2.3.1 because of the new commands and improvements

2014-03-19  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add source file "plotstatustimeline.tcl" - supplied by Sean Woods
        * plotstatustimeline.tcl: New source file implementing the new status timeline plot type - supplied by Sean Woods
        * plotdemos18.tcl: New example illustrating the new status timeline plot type - supplied by Sean Woods
        * plotchart.man: Description of the new plot type
        * pkgIndex.tcl: Bumped the version to 2.3.0 because of the new plot type

2014-03-14  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Forgot to bump the version to 2.2.2 in the "provide" statement (ticket 530c40d269eb3bc4523115e121c38e7a6c047632)

2014-02-06  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotconfig.tcl: Add dummy axis components for Gantt charts
        * examples/demo.tcl: Corrected call to plot subcommand for boxplots (series argument was missing)
        * pkgIndex.tcl: Bumped the version to 2.2.2

2013-09-29  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add dummy scaling parameters for spiral pies
        * plotpriv.tcl: Use [string first] instead of fixed size in WidthCanvas and HeightCanvas (see ticket 40ae42af80c61618720510ba6648bef183e6b894)
        * plotconfig.tcl: Add dummy axis components for table charts
        * examples: Add sh-bang, remove source statements (always package require instead), catch console show
        * pkgIndex.tcl: Bumped the version to 2.2.1

2013-06-20  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man: Restored "epilogue" of the man page

2013-06-15  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Implemented a ternary diagram
        * plotpriv.tcl:  Implemented methods for a ternary diagram
        * plotaxis.tcl:  Implemented methods for a ternary diagram
        * plotconfig.tcl: Implemented methods for a ternary diagram
        * plotchart.man: Documented the ternary diagram and its methods
        * pkgIndex.tcl:  Bumped the version to 2.2.0

2013-06-12  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Correct the version number in the [package provide] command
        * plotchart.tcl: Add new command: eraseplot to erase an existing plot
        * plotchart.man: Documented the new command eraseplot
        * pkgIndex.tcl:  Bumped the version to 2.1.2

2013-06-09  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotaxis.tcl: Remove leftover print statements

2013-05-25  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Implement the options -timeformat and -gmt as per bug 3613718
        * plotpriv.tcl: Use the original axis options to reconstruct the axis for stripcharts
        * plotaxis.tcl: Implement the options -timeformat and -gmt
        * plotchart.man: Document the options -timeformat and -gmt
        * pkgIndex.tcl: Bumped version to 2.1.1
        * test_stripchart.tcl: Test and demonstraton of stripchart with date/time


2013-03-25  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tklib 0.6 ========================
        *

2013-03-10  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Basic support for subtexts with axes, accurate factor "torad", pixelToCoords extended
        * plotchart.test: Extended tests for coordinate transformations
        * plotaxis.tcl: Support for subtexts
        * plotconfig.tcl: Support for subtexts
        * plotspecial.tcl: Removed debug output
        * pkgIndex.tcl: Bumped version to 2.1

2013-01-27  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Set version to 2.0.2
        * pkgIndex.tcl: Set version to 2.0.2
        * plotchart.man: Refine description of the first argument for createRightAxis
        * plotaxis.tcl: Refine raising commands because of legend and right axis

2012-12-30  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add support for -box for remaining chart types (note: margins for square-based plots
                         still require work)
        * plotaxis.tcl: Adjust the tags for the time axis (include the widget)
        * plotpriv.tcl: Adjust the margins to make multiple plots more useful
        * plotspecial.tcl: Remove left-over print command

2012-12-29  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man: Document the subtitle command
        * plotchart.tcl: Add the subtitle command to all chart types and the deletedata command
                         to those types for which it makes sense
                         Add support for -box etc. for two-dimensional chart types
        * plottable.tcl: Properly implement the font option (for cells and headers)

2012-12-20  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.man: Correction in data type for style
        * plotaxis.tcl: Implement vertical text for right axis (patch provided by Frank Gover)
        * plotconfig.tcl: Add options to the right axis for vertical text (patch provided by Frank Gover)

2012-12-02  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add options -fillcolor and -mediancolor, methods bindlast for histograms and deletedata for xyplots
        * plotchart.tcl: Changed required version of Tcl to 8.5
        * plotchart.man: Describe the deletedata subcommand
        * plotpriv.tcl: New items for histograms (bindlast)
        * plotaxis.tcl: Check if a legend is empty
        * plotbind.tcl: Added new procedure BindLastHistogram
        * pkgIndex.tcl: Bumped version to 2.0.1
        * plotcontour.tcl: Small corrections in determining colour scale
        * plotpack.tcl: Use canvas subcommand because of the new feature to add multiple plots in a single canvas widget

2012-08-27  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Correct small problem with right axis
        * plotaxis.tcl: Implement a different method for labelling the axes

2012-07-30  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add a "deletedata" subcommand (limitation: only for xy-plots)
        * plotpriv.tcl: Implement a first version of a deletedata subcommand
        * plotchart.man: Document the deletedata subcommand

2012-05-18  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotpack.tcl: Correct regular expression to extract the canvas name (it was too greedy; patch by Frank)
        * plotpriv.tcl: Remove overwritten version of GetCanvas (the proper one is in plotpack.tcl)
        * plotchart.tcl: Introduce the private procedure CopyScalingData to remove an incompatibility with
                         previous versions

2012-05-14  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotaxis.tcl: Correct drawing of time-axis - labels were sometimes drawn to the right
                        of the whole plot (Note: same problem can occur with other types of axis,
                        but may be less likely in that context)

2012-05-07  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Add a subtitle command (for the moment: XY-plots only)
        * plotpriv.tcl: Implement a subtitle command
        * plotconfig.tcl: Implement the configuration options for the subtitle

2012-04-23  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * xyplot.tcl: Remove explicit sourcing of "plotchart.tcl" - left-over from testing

2012-04-20  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * plotchart.tcl: Repair setZoomPan and introduce new axis configuration
                         routine (for time-axis). Introduce -justify for axis labels
        * plotaxis.tcl: New axis configuration routine so that date/time format
                        works properly
        * plotconfig.tcl: Default for new axis option -justify
        * slidercnv.tcl: Add setZoomPan command for easy testing, use grid for resizing
        * texttxplot.tcl: Add change of date/time format for testing

2012-03-22  Arjen Markus  <arjenmarkus@users,sourceforge.net>
        * xyplot.tcl: Repair incompatibility introduced in Plotchart 2.0 vis-a-vis coordsToPixel
        *             and pixelToCoords

2012-03-14  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plottable.tcl: Correct support for the -anchor option - not entirely satisfactory yet

2012-03-13  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotaxis.tcl: Only plot a symbol in the legend, if that is the requested type
        * plotchart.tcl: Implement the -box/-axesbox option for table charts

2011-11-27  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Add documentation for removefromlegend and several options
        * plotchart.tcl: Add method removefromlegend
        * plotaxis.tcl: Add method to remove an entry from the legend (proposed and
                 implemented by Frank CG)
        * plotpriv.tcl: Corrected placement of labels for piechart

2011-08-19  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl: Restore centring of the piechart (if no options are given)

2011-08-18  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl: Added reference information for circle and 3D margins (solving
                        title problems

2011-08-17  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl: Fix problem with right axis and -reference option for piecharts
        * plotaxis.tcl: Added dash pattern to ticklines (patch by "Frank")

2011-08-11  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl: Fix problem with masks if multiple plots are used in one canvas
        * plotpriv.tcl: Fix problem with titles - each plot box now gets its own title
        * plotpriv.tcl: Update procedure for margins for circular plots (piecharts and polar plots)
        * plotconfig.tcl: Change default colour for the axes in polar plots
                          Note: ***slight incompatibility***
                          Reason: the black lines and circles were too pronounced

2011-07-26  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotaxis.tcl: Correct error in handling -format option for non-linear axes
        * *.tcl: Many changes wrt supporting multiple plots in one canvas

2011-01-25  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * *.tcl: Merging my version with that of Torsten
        *        -axesbox implemented (still requires some changes!)
        *        plotlist command implemented
        *        extension to box-and-whiskers plot

2010-09-19  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Support for custom labels with right axis
        * plotaxis.tcl: Support for custom labels with right axis
        * plotchart.man: Documentation of plotstyle, object subcommand and
                         multiple-plot option

2010-09-12  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Support for multiple plots in a canvas (only barcharts now)
        * plotpriv.tcl: Ditto
        * plotaxis.tcl: Support for multple plots, and non-numeric custom labels
                        (only x-axis for now)

2010-09-06  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added table chart
        * plottable.tcl: Procedures for drawing table charts
        * plotconfig.tcl: Style engine by Torsten
        * plot-anim.tcl: Animation procedures by Torsten

2010-09-03  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Merging versions by Torsten and myself
        * plotpriv.tcl: ditto
        * plotconfig.tcl: ditto (addition: style engine)
        * plotobject.tcl: added (method: drawobject/object)

2010-09-02  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl: Fix bug in ScaleIsometric (division by integers; found by Torsten)

2010-08-18  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Corrected export statement: createPolarplot
        * plotchart.man: Corrected name of procedure: createPolarplot (found by Torsten Berg)

2010-08-13  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotconfig.tcl: Added separate background colour for title,
          new options for axis
        * plotaxis.tcl: New axis options - show numbers and show axle (or not)
        * plotpriv.tcl: Separate background colour for title
        * plotchart.man: Documentation for these options

2010-08-12  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added plotmethod to export
        * plotconfig.tcl: Implemented plotmethod for customised commands
        * plotpriv.tcl: Support for customised commands
        * plotannot.tcl: Added missing anchor to the "dictionary" TextDir
          and new method for configuring plaintext annotations

2010-07-15  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Fixed use of step sizes in createIsometricPlot (as found by Andreas)
        * plotpriv.tcl: Import legend variable in drawing of horizontal bars
        * plotpriv.tcl: Commented out some unfinished code in scrolling timecharts
        * plotpriv.tcl: Fixed variable names in drawing label dots in polar plots
        * plotpriv.tcl: Draw line with correct thickness in legend
        * pkgIndex.tcl: Changed version to 1.9.2

2010-07-09  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * plotannot.tcl: Made a number of fixes (mistyped variable names,
        * plotaxis.tcl: unbraced expressions, ...) found by tclchecker.
        * plotbusiness.tcl: Added a few checker pragmas for bogus warnings.
        * plotcontour.tcl:
        * plotpack.tcl:
        * plotpriv.tcl:

2010-07-06  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotaxis.tcl: Fixing a bug wrt stacked histograms (reported by Torsten Berg)
        * plotaxis.tcl: Added support for minor tickmarks, ticklength, label offset
        * plotconfig.tcl: Ditto
        * plotaxis.tcl: Implemented solution for a bug in vtext method (supplied by Torsten Berg)
        * plotaxis.tcl: Corrected positioning of vertical text (bug noted by Torsten Berg)
        * plotchart.tcl: Added method for plotting functions (and several options)
        * plotpriv.tcl: Added support for line width
        * pkgIndex.tcl: Changed version Plotchart to 1.9.1

2010-06-21  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added creation method for target diagrams, performance profiles and 3d ribbon plots
        * plotdemos14.tcl: Added demonstration of so-called target diagram
        * plotdemos15.tcl: Added demonstration of 3d ribbons (provided by Keith Vetter)
        * plotdemos16.tcl: Added demonstration of performance profiles
        * plotchart.man: Documentation added for target diagrams, performance profiles and 3d ribbon plots
        * plotspecial.tcl: New file for methods that deal with specialised plots
        * plot3d.tcl: Added ribbon plot method (by Keith Vetter)
        * pkgIndex.tcl: Changed version Plotchart to 1.9.0

2010-06-08  Andreas Kupries  <andreask@activestate.com>

        * pkgIndex.tcl: Added a guard command to xyplot, this package
          requires Tcl 8.5+.

2010-06-06  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * demo.tcl: Added demo program showing code and plot/chart
        * plotpriv.tcl: Moving DrawVtext to plotaxis.tcl (also checking Tk version)
        * plotpriv.tcl: Adding option to use darkening gradients
        * plotpriv.tcl: Enable "exploding" segments in a piechart
        * plotbind.tcl: Provide a procedure to explode a segment in a piechart
        * plotaxis.tcl: Adjusted formatting of axis labels - Tcl 8.5 uses a large precision,
                        leading to labels like 0.09999999 instead of 0.1
        * plotaxis.tcl: Draw labels in bar charts centred wrt the bars, not the bars and gap (suggestion by Harald Oehlmann)
        * plotaxis.tcl: Moving the legend interactively via Button-1
        * scaling.tcl: Added a new scaling procedure: determineScaleFromList
        * plotchart.tcl: Added this new scaling procedure to the exports
        * plotchart.man: Describe the new scaling procedure
        * plotchart.man: Describe the bindplot and bindlast subcommands
        * plotchart.man: Describe the new option for darkening gradients
        * plotchart.man: Describe the tags that are used (description of the current status)
        * plotchart.test: Added tests for the new scaling procedure
        * pkgIndex.tcl: Changed version Plotchart to 1.8.3 and xyplot to 1.0.1
        * xyplot.tcl: Updates by Jos DeCoster (adjusted version to 1.0.1)
        * plotannot.tcl: Support added for darkening gradients
        * plotdemos13.tcl: Added to inspect the performance for large numbers of data points
        * editgraph.tcl: Example for editing a data series


2010-05-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Corrected documentation bug (2999846, thanks to Oliver Bienert)

2009-12-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added configuration method for barcharts
        * plotchart.tcl: Added methods implemented by Michael Baudin for isolines
        * plotchart.man: Documented this new configuration method and isoline methods
        * plotpriv.tcl: Implementation of a number of configuration options for barcharts
        * plotaxis.tcl: Solved bug 2906751 (formatting labels of right axis did not work)
        * plotcontour.test: Added extra test by Michael Baudin for isoline plots
        * rosenbrock.tcl: Demo by Michael Baudin of plotting isolines for the Rosenbrock function
        * pkgIndex.tcl: Changed version to 1.8.2

2009-11-24  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotaxis.tcl: Remove left-over debugging code in FormatNumber (reported by Dave Hanks)
        * pkgIndex.tcl: Changed version to 1.8.1

2009-11-20  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added interactive commands bindplot and bindlast
        * plotbind.tcl: Preliminary implementation of the bindplot and bindlast commands
        * pkgIndex.tcl: Changed version to 1.8.0

2009-11-17  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added log X and log-log plots (patch by Paul Vogel)
        * plotaxis.tcl: Added support for log X and log-log plots (patch by Paul Vogel)
                        Corrected drawing of axis labels (patch by Paul Vogel)
        * plotconfig.tcl: Support for log X and log-log plots (patch by Paul Vogel)
        * plotpriv.tcl: Support for log X and log-log plots (patch by Paul Vogel)
        * plotchart.man: Documentation of log-X and log-log plots
        * pkgIndex.tcl: Changed version to 1.7.1

2009-10-18  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added wind rose diagrams, added new methods
        * plotpriv.tcl: Drawing methods for wind rose diagrams
        * plotpriv.tcl: Drawing bands and label-dots
        * plotaxis.tcl: Drawing axes for wind rose diagrams
        * plotchart.man: Documentation of new diagram and new methods
        * pkgIndex.tcl: Changed version to 1.7.0

2009-08-31  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Corrected version number (1.6.3)

2009-07-14  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotaxis.tcl: Added support for formats like %x to label the axes

2009-03-20  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Solved issue 2683544 (font size leading to clipped labels)
        * plotpriv.tcl: Ditto
        * plotaxis.tcl: Ditto
        * plotconfig.tcl: Ditto
        * pkgIndex.tcl: Bumped version number to 1.6.3

2009-03-20  Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * scaling.tcl: Added special case: very small ranges now clipped to 1.0e-8 (bug #2691870)
        * plotchart.test: Added test forvery small range, introduced tolerance in matching

2009-02-06  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * plothist.test: Moved to examples/plotchart, renamed to
          plothist.tcl. This is actually not a test suite in the standard
          form using tcltest, but an example application.

        * plotcontour.test: Added boilerplate to make it more of a test
          suite, proper indentation.

2008-02-06 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotcontour.tcl:  Commented out one remaining debug puts statement

2009-01-21  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tklib 0.5 ========================
        *

2008-01-20 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl:  Removed spurious puts statements
        * plotdemos*.tcl: Removed source statement - patch 2521626 (Stuart Cassoff)
        * plothist.test: Corrected histogram test (same patch)

2008-01-18 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Document the rescale method and the new options to createTimeChart
        * plotchart.tcl: Implemented new options for createTimeChart and
                         createGanttChart
        * plotpriv.tcl:  Correction in label to time line - different position
                         Smaller filled circle and central position for
                         asterisk in box plots
        * pkgIndex.tcl:  Bumped version to 1.6.1

2008-12-16 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotdemo8.tcl: Additional demo script - boxplots

2008-12-15 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * pkgIndex.tcl: Increased version number to 1.6.0
        * plotgantt.tcl: Corrected a few tags and added reordering to
                         get scrolling of Gantt charts
        * plotchart.man: Added description of scrolling behaviour for
                         timecharts and Gantt charts

2008-12-09 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Added boxplot to the types of plots and charts

2008-12-06 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Added method box-and-whiskers (suggested by Steve Blinkhorn),
        * plotchart.tcl: Added method box-and-whiskers, option -boxwidth,
                         scrolling of time charts and Gantt charts (Dave Hanks)
        * plotpriv.tcl: Added method box-and-whiskers, scrolling of time charts
        * plotaxis.tcl: Scrolling of time charts and Gantt charts
        * plotgantt.tcl: Scrolling of Gantt charts

2008-10-26 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotaxis.tcl: Correct small glitch in drawing the legend (reported by Simon Geard)

2008-05-18 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Remove interpreter alias for right axis in case of resizing)
        * plotaxis.tcl: Draw entries for right axis in the legend for the left axis

2008-05-16 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Refined check in right axis, remove any leftover information
                         (problem occurring with resizing - Francis Courtois)
        * plotaxis.tcl: Corrected mistake with drawing right axis (Francis Courtois)
        * plotaxis.tcl: Applied patch regarding ticklines with time axes (Nick Matthews)

2008-02-24 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * pkgIndex.tcl: Increased version number to 1.5.1, require Tcl/Tk 8.4
        * plotchart.man: Added plotpack command
        * plotchart.tcl: Added plotpack command
        * plotpack.tcl: Added plotpack command

2008-02-22 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * pkgIndex.tcl: Increased version number to 1.5, require Tcl/Tk 8.4
        * plotconfig.tcl: Added this file for configuring the plots
        * plotchart.tcl: Support for configuration command, also incorporated patch by Michael Baudin
        * plotaxis.tcl: Support for configuration command
        * plotpriv.tcl: Support for configuration command and graded bars in a barchart
        * scaling.tcl: Corrected optional argument to determineScale
        * plotdemos7.tcl: Added examples of configuring the plots
        * plotannot.tcl: Graded bars in a barchart

2008-01-25 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * pkgIndex.tcl: Corrected version number

2007-09-07 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Added description of how to handle resizing
        * plotchart.tcl: Changed from [$w cget -width] to [winfo width $w]
        * plotpriv.tcl: Ditto

2007-06-19 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Corrected syntax error

2007-06-16 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Documented the createTXPlot method (for time-x plots)
        * plotpriv.tcl: Added the DrawTimeData method and proper support for legends
                        in barcharts
        * plotaxis.tcl: Added drawing rectangles in legends
        * plotdemos1.tcl: Extended the barchart with a legend and added
                          data to the TX-plot

2007-06-12 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Documented a tip by Bernhard Wallner (number of
                         series can be floating-point)
        * plotaxis.tcl: Corrected a few typos in drawing the legend
        * plotdemos1.tcl: Apply Bernhard's tip to see the effect

2007-06-02 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Documentation of background options, 3D ribbon charts
        * plotchart.tcl: 3D ribbon plot added
        * plotpriv.tcl: Support for extra background options and filling data series
        * plotannot.tcl: Image and gradient background options, 3D ribbon charts
        * plotdemos2.tcl: Demonstration of background options
        * plotbus.test: Demonstration of 3D ribbon charts

2007-05-28 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Documentation of rchart subcommand
        * plotchart.tcl: Support for drawing an R-chart
        * plotpriv.tcl: Support for drawing an R-chart
        * plotdemos6.tcl: Demonstration of R-chart

2007-05-27 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Documentation of dot subcommand
        * plotchart.tcl: Support for drawing dots
        * plotpriv.tcl: Support for drawing dots, corrected mistakes in vector drawing
        * plotdemos6.tcl: Demonstration of dots and vectors

2007-05-26 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Documentation of right-hand axis, vectors
        * plotchart.tcl: Support for right-hand axis, vectors
        * plotpriv.tcl: Support for drawing vectors
        * plotaxis.tcl: Support for right-hand axis, tickmarks
        * plot3d.tcl: Draw tickmarks at 3D axes
        * scaling.tcl: Suppress testing output (time axis)

2007-05-14 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added an interval and a trend method for XY plots
        * plotpriv.tcl: Implementation of the interval and trend methods
        * plotdemo1.tcl: Examples of these methods

2007-05-03 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotpriv.tcl: Expanded the saveplot method (other file formats
                        than PostScript via Img)

2007-04-30 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added radial chart
        * plotpriv.tcl:  Added routines for radial chart
        * plotchart.man: Description of radial chart
        * plotchart.test: Test for such charts
        * plotdemos4.tcl: New set of demos - 3D bars and radial charts
        * plotdemos5.tcl: New set of demos - contour plots

2007-04-29 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added balloon text
        * plotchart.man: Description of balloon text
        * plotchart.test: Test for balloon text and Gantt chart
        * plotannot.tcl: File with procedures for annotations

2007-04-17 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added 3D barchart
        * plotchart.man: Description of 3D barchart
        * plotbusiness.tcl: File with procedures for business-type charts

2007-02-10 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.man: Description of legend commands
        * plotchart.tcl: Raised version to 1.2
        * pkgIndext.tcl: Raised version to 1.2

        * Still to do:
          - draw integer numbers, if the axis numbers _are_ integer
          - add a facility for displaying balloon text

2007-02-09 Arjen Markus  <arjenmarkus@users.sourceforge.net>
        * plotchart.tcl: Added commands for drawing and configuring
                         the legend
        * plotaxis.tcl: Actual procedures for legend
        * plotpriv.tcl: Small change in procedure to plot symbols
        * plotchart.test: Added commands to test legend

        * Still to do:
          - document the legend commands
          - draw integer numbers, if the axis numbers _are_ integer
          - add a facility for displaying balloon text

2007-02-09  Andreas Kupries  <andreask@activestate.com>

        * plotchart.man: Fixed syntax errors introduced by last checkin,
          consistently missing closing brackets. It is strongly
          recommended to run a command like './sak.tcl nroff plotchart'
          from the tklib toplevel directory before doc changes checking
          in.

2007-02-08 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotchart.tcl: Added commands for background colour,
                         ticklines
        * plotaxis.tcl: Support for ticklines
        * plotpriv.tcl: Support for background
        * plotchart.test: Added commands to test ticklines and
                          background for several plot types
        * plotchart.man: Description of the new commands

2006-06-05 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotchart.tcl: Added a histogram procedure
        * plotpriv.tcl: Added a procedure to draw histogram data
        * plotchart.test: Added a test for histogram data
        * plotchart.man: Description for histograms

2006-04-24 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotpriv.tcl: Added support for missing values
        * plotchart.man: Description added for missing values

2005-11-10  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tklib 0.4.1 ========================
        *

2005-11-04 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Changed file permissions: no execute anymore

2005-11-02  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        *
        * Released and tagged Tklib 0.4 ========================
        *

2005-10-24  Andreas Kupries <andreask@activestate.com>

        * plotchart.test: Added check for Tcl 8.3, minimum version of Tcl
          required by the charts.

        * pkgIndex.tcl: Sync'd the package version with implementation and
          documentation.

2005-06-14 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotgantt.tcl: Expanded Gantt charts with one more
          procedure - drawing "summary" items
        * Added documentation on Gantt charts
        * Moved the example to the examples directory

2005-06-13 Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotchart.tcl: Added new chart type, Gantt charts
        * plotgantt.tcl: Procedures for Gantt charts (new file)
        * No documentation yet

2005-05-10  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * plotchart.man: Fixed trivial syntax error in update.

2005-05-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * plotchart.man: Added documentation of plotfuncont method.
        * Corrected description for "cool" colour map

2005-04-15  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Updated the documentation, changed name (colourmap
          has become colorMap).
        * Mark Stucky provided the latest updates of the
          main procedures

2005-03-11  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Solved problem with plotcontour.test (works correctly
          from sak.tcl now - still requires formalisation)

2005-03-04  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added the contour plotting routines by Mark Stucky
          (Documentation for 3D contour plot still missing)

2004-09-29  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Fixed bug 1035281 - wrong scaling for -1.7 -- 26.8
          (new test case)
        * Fixed dependency on -nocomplain flag for unset (plotpriv.tcl)
          Plotchart should work with Tcl 8.3 now

2004-08-19  Arjen Markus  <arjenmarkus@users.sourceforge.net>

        * Added modifications by Stefan Finzel.
        * One public procedure added: pixelToIndex (by Stefan Finzel)
        * Added export of several described (public) procedures that were missing

2004-04-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

        * New module 'plotchart', by Arjen Markus.

